Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.validation
[Java] Class EmailConstraint

    java.lang.Object
      org.codehaus.groovy.grails.validation.AbstractConstraint
          org.codehaus.groovy.grails.validation.EmailConstraint

    public class EmailConstraint
    extends AbstractConstraint

Validates an email address.

Authors:
  Graeme Rocher

Since:
  0.4

Field Summary

Fields inherited from class AbstractConstraint
classShortName, constraintOwningClass, constraintParameter, constraintPropertyName, messageSource

Method Summary
`java.lang.String` | `getName()`
`protected void` | `processValidate(java.lang.Object target, java.lang.Object propertyValue, Errors errors)`
`void` | `setParameter(java.lang.Object constraintParameter)`
`boolean` | `supports(java.lang.Class type)`

Methods inherited from class AbstractConstraint
checkState, getDefaultMessage, getPropertyName, processValidate, rejectValue, rejectValue, rejectValue, rejectValue, rejectValue, rejectValueWithDefaultMessage, setMessageSource, setOwningClass, setParameter, setPropertyName, skipBlankValues, skipNullValues, toString, validate

Method Detail

### getName

    public java.lang.String getName()

### processValidate

    @Override
    protected void processValidate(java.lang.Object target, java.lang.Object propertyValue, Errors errors)

### setParameter

    @Override
    public void setParameter(java.lang.Object constraintParameter)

### supports

    @SuppressWarnings("rawtypes")
    public boolean supports(java.lang.Class type)

Groovy Documentation